dmmp_context_log_func_set(3)

NAME
dmmp_context_log_func_set - Set log handler function.

SYNOPSIS
void dmmp_context_log_func_set (struct dmmp_context *ctx, void (*log_func) (struct dmmp_context *ctx, int priority, const char *file, int line, const char *func_name, const char *format, va_list args));

ARGUMENTS

ctx Pointer of 'struct dmmp_context'. If this pointer is NULL, your program will be terminated by assert.

log_func
    Pointer of log handler function. If set to NULL, all log will be ignored.

DESCRIPTION

Set custom log handler. The log handler will be invoked when log message is equal or more important(less value) than log priority setting. Please check manpage libdmmp.h(3) for detail usage.

RETURN
void